Make sure raw_old is up to date in 17.10

Bug #1720269 reported by Robert Lyon on 2017-09-29
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Cecilia Vela Gurovic

Bug Description

raw_old was a temp system to transition to from old nav layout to new layout.

So we need to remove it before 17.10 release.

We need to do it in such a way that we remove it from git but alert users that has happened somehow.

Changed in mahara:
milestone: 17.10rc2 → 18.04.0
assignee: nobody → Cecilia Vela Gurovic (ceciliavg)
Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/8090

Robert Lyon (robertl-9) on 2017-10-04
summary: - Remove raw_old from 17.10
+ Make sure raw_old is up to date in 17.10
Changed in mahara:
milestone: 18.04.0 → 17.10.0
status: Confirmed → In Progress
Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/8092

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/8093

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/8094

Reviewed: https://reviews.mahara.org/8088
Committed: https://git.mahara.org/mahara/mahara/commit/5f0016db8106342a2d2305fd278dfb109a54cc5f
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 5f0016db8106342a2d2305fd278dfb109a54cc5f
Author: Cecilia Vela Gurovic <email address hidden>
Date: Wed Oct 4 14:25:23 2017 +1300

Bug 1720269: old_raw patches for bugs: (create/edit views)

Bug 1718806
Bug 1718538
Bug 1707076
Bug 1693061
Bug 1692759
Bug 1692758
Bug 1690267
Bug 1668888
Bug 1693062
Bug 1688416
Bug 1677087

behatnotneeded

Change-Id: I467b2640a579ea93f8a1206d6d33ab54f1634751

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/8089
Committed: https://git.mahara.org/mahara/mahara/commit/912600e165cff08c2806f6212683d01735f9935d
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 912600e165cff08c2806f6212683d01735f9935d
Author: Cecilia Vela Gurovic <email address hidden>
Date: Wed Oct 4 16:09:35 2017 +1300

Bug 1720269: old_raw patches for bugs: (groups)

Bug 1714830
Bug 1696696
Bug 1681952
Bug 1666685

behatnotneeded

Change-Id: I4ffbabb28cc00451760134b478758a5c20b86819

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/8090
Committed: https://git.mahara.org/mahara/mahara/commit/6e94aeed4769fb456c8f8123aad1e0dff55973c4
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 6e94aeed4769fb456c8f8123aad1e0dff55973c4
Author: Cecilia Vela Gurovic <email address hidden>
Date: Wed Oct 4 17:53:08 2017 +1300

Bug 1720269: old_raw patches for bugs: (reports)

Bug 1697248
Bug 1691910

behatnotneeded

Change-Id: Ia96e648726929d5d36cc5f006c03987bc8c60c5a

Reviewed: https://reviews.mahara.org/8097
Committed: https://git.mahara.org/mahara/mahara/commit/a8a703746175d00fd4a0a77d75f56c332354fc07
Submitter: Robert Lyon (<email address hidden>)
Branch: 17.10_STABLE

commit a8a703746175d00fd4a0a77d75f56c332354fc07
Author: Cecilia Vela Gurovic <email address hidden>
Date: Wed Oct 4 14:25:23 2017 +1300

Bug 1720269: old_raw patches for bugs: (create/edit views)

Bug 1718806
Bug 1718538
Bug 1707076
Bug 1693061
Bug 1692759
Bug 1692758
Bug 1690267
Bug 1668888
Bug 1693062
Bug 1688416
Bug 1677087

behatnotneeded

Change-Id: I467b2640a579ea93f8a1206d6d33ab54f1634751
(cherry picked from commit 5f0016db8106342a2d2305fd278dfb109a54cc5f)

Mahara Bot (dev-mahara) wrote :

Patch for "17.10_STABLE" branch: https://reviews.mahara.org/8098

Reviewed: https://reviews.mahara.org/8098
Committed: https://git.mahara.org/mahara/mahara/commit/96d9cdc77833bf039d6a6680080fc94dc93c9468
Submitter: Robert Lyon (<email address hidden>)
Branch: 17.10_STABLE

commit 96d9cdc77833bf039d6a6680080fc94dc93c9468
Author: Cecilia Vela Gurovic <email address hidden>
Date: Wed Oct 4 16:09:35 2017 +1300

Bug 1720269: old_raw patches for bugs: (groups)

Bug 1714830
Bug 1696696
Bug 1681952
Bug 1666685

behatnotneeded

Change-Id: I4ffbabb28cc00451760134b478758a5c20b86819
(cherry picked from commit 912600e165cff08c2806f6212683d01735f9935d)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/8099
Committed: https://git.mahara.org/mahara/mahara/commit/875013064496efc60634a8a7d4193aa83c39b47e
Submitter: Robert Lyon (<email address hidden>)
Branch: 17.10_STABLE

commit 875013064496efc60634a8a7d4193aa83c39b47e
Author: Cecilia Vela Gurovic <email address hidden>
Date: Wed Oct 4 17:53:08 2017 +1300

Bug 1720269: old_raw patches for bugs: (reports)

Bug 1697248
Bug 1691910

behatnotneeded

Change-Id: Ia96e648726929d5d36cc5f006c03987bc8c60c5a
(cherry picked from commit 6e94aeed4769fb456c8f8123aad1e0dff55973c4)

Robert Lyon (robertl-9) on 2017-10-08
Changed in mahara:
milestone: 17.10.0 → 17.10rc2
Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/8092
Committed: https://git.mahara.org/mahara/mahara/commit/fc8036dac01bfe9717bd8ee271afdc1d8c49c280
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit fc8036dac01bfe9717bd8ee271afdc1d8c49c280
Author: Cecilia Vela Gurovic <email address hidden>
Date: Thu Oct 5 11:20:18 2017 +1300

Bug 1720269: old_raw patches for bugs: (elasticsearch)

Bug 1714100
Bug 1694171

behatnotneeded

Change-Id: I21062124b6e1c260f1b17691d22da7af00c74716

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/8102
Committed: https://git.mahara.org/mahara/mahara/commit/538c9d386f06c70ea26a851eb0ddc39d69dd492d
Submitter: Robert Lyon (<email address hidden>)
Branch: 17.10_STABLE

commit 538c9d386f06c70ea26a851eb0ddc39d69dd492d
Author: Cecilia Vela Gurovic <email address hidden>
Date: Thu Oct 5 11:20:18 2017 +1300

Bug 1720269: old_raw patches for bugs: (elasticsearch)

Bug 1714100
Bug 1694171

behatnotneeded

Change-Id: I21062124b6e1c260f1b17691d22da7af00c74716
(cherry picked from commit fc8036dac01bfe9717bd8ee271afdc1d8c49c280)

Reviewed: https://reviews.mahara.org/8093
Committed: https://git.mahara.org/mahara/mahara/commit/e67b2dc17e4a3efdab17d937a5a6cc720f815f66
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit e67b2dc17e4a3efdab17d937a5a6cc720f815f66
Author: Cecilia Vela Gurovic <email address hidden>
Date: Thu Oct 5 11:54:21 2017 +1300

Bug 1720269: old_raw patches for bugs: (SmartEvidence)

Bug 1720235
Bug 1701083
Bug 1681284

behatnotneeded

Change-Id: I077001172c5f26246c5e6fab3c963d3acef3ee49

Reviewed: https://reviews.mahara.org/8104
Committed: https://git.mahara.org/mahara/mahara/commit/6ddfd088e7046fc6b9b72d3f6c3d3f925fdd342e
Submitter: Robert Lyon (<email address hidden>)
Branch: 17.10_STABLE

commit 6ddfd088e7046fc6b9b72d3f6c3d3f925fdd342e
Author: Cecilia Vela Gurovic <email address hidden>
Date: Thu Oct 5 11:54:21 2017 +1300

Bug 1720269: old_raw patches for bugs: (SmartEvidence)

Bug 1720235
Bug 1701083
Bug 1681284

behatnotneeded

Change-Id: I077001172c5f26246c5e6fab3c963d3acef3ee49
(cherry picked from commit e67b2dc17e4a3efdab17d937a5a6cc720f815f66)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/8094
Committed: https://git.mahara.org/mahara/mahara/commit/70ac7cec17e778da31d928ea37a7e2c7de13459f
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 70ac7cec17e778da31d928ea37a7e2c7de13459f
Author: Cecilia Vela Gurovic <email address hidden>
Date: Thu Oct 5 17:06:05 2017 +1300

Bug 1720269: old_raw patches for bugs: (General)

Bug 1720264
Bug 1720235
Bug 1719736
Bug 1718821
Bug 1705126
Bug 1694908
Bug 1690687
Bug 1690232
Bug 1686843
Bug 1685041
Bug 1683561
Bug 1681987
Bug 1681934
Bug 1675223
Bug 1636064
Bug 1575512
Bug 1369569
Bug 692769

Also fixing up un-closed html tags in Bug 1701437 for raw and old raw

behatnotneeded

Change-Id: I8ac930ceebf78b4edad97289994318e7689a1e94

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/8116
Committed: https://git.mahara.org/mahara/mahara/commit/a25f4f11d35bf17d54acfb8010cd29e432fc86ea
Submitter: Robert Lyon (<email address hidden>)
Branch: 17.10_STABLE

commit a25f4f11d35bf17d54acfb8010cd29e432fc86ea
Author: Cecilia Vela Gurovic <email address hidden>
Date: Thu Oct 5 17:06:05 2017 +1300

Bug 1720269: old_raw patches for bugs: (General)

Bug 1720264
Bug 1720235
Bug 1719736
Bug 1718821
Bug 1705126
Bug 1694908
Bug 1690687
Bug 1690232
Bug 1686843
Bug 1685041
Bug 1683561
Bug 1681987
Bug 1681934
Bug 1675223
Bug 1636064
Bug 1575512
Bug 1369569
Bug 692769

Also fixing up un-closed html tags in Bug 1701437 for raw and old raw

behatnotneeded

Change-Id: I8ac930ceebf78b4edad97289994318e7689a1e94
(cherry picked from commit 70ac7cec17e778da31d928ea37a7e2c7de13459f)

Robert Lyon (robertl-9) on 2017-10-10
Changed in mahara:
status: In Progress → Fix Committed
milestone: 17.10rc2 → 17.10.0
Robert Lyon (robertl-9) on 2017-10-30
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers